Get subscription upsell
curl --request GET \
--url https://api.marzipan.co/v1/account/subscriptions/upsell \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.marzipan.co/v1/account/subscriptions/upsell"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.marzipan.co/v1/account/subscriptions/upsell', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"enabled": true,
"heading": "Join a plan",
"message": "Get hand-picked items delivered every month.",
"collection": "subscription-boxes",
"columns": 3
}{
"message": "Unauthenticated."
}Subscriptions
Get subscription upsell
Return the configured subscription upsell content shown to customers who have no subscriptions. Includes the promotional heading and message and the slug of the collection of products to promote, if enabled.
GET
/
account
/
subscriptions
/
upsell
Get subscription upsell
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is the account token returned from the Login endpoint.
Response
Success
Whether subscription upsell is enabled for the tenant
Upsell heading
Upsell message
Slug of the collection to promote, or null if none configured
Number of columns to display the collection in. Only present when a collection is configured

